Inhalt schützen (Consumer Mint)
curl --request POST \
--url https://api.truthlocks.com/v1/consumer/mint \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"content_hash": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({content_hash: '<string>'})
};
fetch('https://api.truthlocks.com/v1/consumer/mint', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.truthlocks.com/v1/consumer/mint"
payload = { "content_hash": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.truthlocks.com/v1/consumer/mint"
payload := strings.NewReader("{\n \"content_hash\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"protection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"attestation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"verify_url": "<string>",
"share_url": "<string>",
"content_hash": "<string>",
"protected_at": "2023-11-07T05:31:56Z",
"status": "protected"
}Verbraucher (B2C)
Inhalt schützen (Consumer Mint)
Prägen Sie eine kryptografische Attestierung für Inhalte, die Sie schützen möchten. Ihr persönlicher Aussteller und Signaturschlüssel werden automatisch aufgelöst. Hashen Sie den Inhalt clientseitig (SHA-256) und übermitteln Sie den Hash mit den Dateimetadaten.
POST
/
v1
/
consumer
/
mint
Inhalt schützen (Consumer Mint)
curl --request POST \
--url https://api.truthlocks.com/v1/consumer/mint \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"content_hash": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({content_hash: '<string>'})
};
fetch('https://api.truthlocks.com/v1/consumer/mint', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.truthlocks.com/v1/consumer/mint"
payload = { "content_hash": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.truthlocks.com/v1/consumer/mint"
payload := strings.NewReader("{\n \"content_hash\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"protection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"attestation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"verify_url": "<string>",
"share_url": "<string>",
"content_hash": "<string>",
"protected_at": "2023-11-07T05:31:56Z",
"status": "protected"
}Prägen Sie eine kryptografische Attestierung für einen Inhalt, den Sie schützen möchten. Ihr persönlicher Aussteller und Signaturschlüssel werden automatisch aufgelöst – Sie müssen keinen Aussteller erstellen oder einen Schlüssel registrieren.
Hashen Sie Ihren Inhalt clientseitig mit SHA-256 und übermitteln Sie den Hash zusammen mit den Dateimetadaten. Der Endpunkt gibt einen Schutzdatensatz mit einer teilbaren Nachweis-URL zurück, die Sie verwenden können, um die Urheberschaft zu demonstrieren.
Ratenlimits hängen von Ihrer Planstufe ab:
Die Antwort enthält
| Plan | Schutz pro Monat |
|---|---|
| Kostenlos | 50 |
| Ersteller | 500 |
| Pro | Planabhängig |
content_hash und protected_at, damit Sie bestätigen können, welcher Inhalt geschützt wurde und den genauen Zeitstempel, ohne einen Folgeanruf tätigen zu müssen.
Antworten
Body
application/json
Antwort
Inhalt geschützt

